Class | Chef::Formatters::ErrorInspectors::RunListExpansionErrorInspector
In: | lib/chef/formatters/error_inspectors/run_list_expansion_error_inspector.rb
Parent: | Object

### Methods

add_explanation config describe_missing_role humanize_http_exception missing_roles_explained new run_list_expansion

### Included Modules

APIErrorFormatting

### Attributes

exception | [R] |
node | [R] |

### Public Class methods

new(node, exception)

### Public Instance methods

add_explanation(error_description)
config()
describe_missing_role(error_description)
humanize_http_exception(error_description)
missing_roles_explained()
run_list_expansion()

[Validate]